const express = require("express");
const router = express.Router();
const mapasFiltrosController = require("../controllers/mapasFiltrosController");

// Route for getting all mapasFiltros
router.get("/mapasFiltros", mapasFiltrosController.getAllMapasFiltros);

// Route for getting a specific user by ID
router.get("/mapasFiltros/:id", mapasFiltrosController.getMapaFiltroById);

// Route for creating a new user
router.post("/mapasFiltros", mapasFiltrosController.createMapaFiltro);

// Route for updating a user by ID
router.put("/mapasFiltros/:id", mapasFiltrosController.updateMapaFiltro);

// Route for deleting a user by ID
router.delete("/mapasFiltros/:id", mapasFiltrosController.deleteMapaFiltro);

module.exports = router;
